Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\Country\SearchField Class Reference

Indexable definition for Country field type. More...

Inheritance diagram for eZ\Publish\Core\FieldType\Country\SearchField:

## Public Member Functions
| __construct (array $countriesInfo)
| getIndexData (Field $field, FieldDefinition $fieldDefinition)
| Get index data for field for search backend. More...
| getIndexDefinition ()
| Get index field types for search backend. More...
| getDefaultMatchField ()
| Get name of the default field to be used for matching. More...
| getDefaultSortField ()
| Get name of the default field to be used for sorting. More...

## Protected Attributes
| $countriesInfo

## Detailed Description

Indexable definition for Country field type.

Definition at line 17 of file Country/SearchField.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\Country\SearchField::__construct | ( | array | $countriesInfo | ) |

Parameters

  array | $countriesInfo | Array of countries data

Definition at line 25 of file Country/SearchField.php.

References eZ\Publish\Core\FieldType\Country\SearchField\$countriesInfo.

## Member Function Documentation

## ◆ getDefaultMatchField()

eZ\Publish\Core\FieldType\Country\SearchField::getDefaultMatchField | ( |  | ) |

Get name of the default field to be used for matching.

As field types can index multiple fields (see MapLocation field type's implementation of this interface), this method is used to define default field for matching. Default field is typically used by Field criterion.

Returns
  string

Implements eZ\Publish\SPI\FieldType\Indexable.

Definition at line 117 of file Country/SearchField.php.

## ◆ getDefaultSortField()

eZ\Publish\Core\FieldType\Country\SearchField::getDefaultSortField | ( |  | ) |

Get name of the default field to be used for sorting.

As field types can index multiple fields (see MapLocation field type's implementation of this interface), this method is used to define default field for sorting. Default field is typically used by Field sort clause.

Returns
  string

Implements eZ\Publish\SPI\FieldType\Indexable.

Definition at line 131 of file Country/SearchField.php.

## ◆ getIndexData()

eZ\Publish\Core\FieldType\Country\SearchField::getIndexData | ( | Field | $field,
|  | FieldDefinition | $fieldDefinition
| ) |  |

Get index data for field for search backend.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Field | $field |
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |

Returns
  \eZ\Publish\SPI\Search\Field[]

Implements eZ\Publish\SPI\FieldType\Indexable.

Definition at line 38 of file Country/SearchField.php.

## ◆ getIndexDefinition()

eZ\Publish\Core\FieldType\Country\SearchField::getIndexDefinition | ( |  | ) |

Get index field types for search backend.

Returns
  \eZ\Publish\SPI\Search\FieldType[]

Implements eZ\Publish\SPI\FieldType\Indexable.

Definition at line 97 of file Country/SearchField.php.

## Member Data Documentation

## ◆ $countriesInfo

eZ\Publish\Core\FieldType\Country\SearchField::$countriesInfo
| protected

Definition at line 20 of file Country/SearchField.php.

Referenced by eZ\Publish\Core\FieldType\Country\SearchField\__construct().

The documentation for this class was generated from the following file:

- Country/SearchField.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.